Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.awb.misc
Class Version

    java.lang.Object
      |
      +--com.ibm.awb.misc.Version

public final class Version
extends java.lang.Object

Class Version is used to creat version objects that contain release information, such as MAJOR, MINOR, BUILD, DATE, and KIND. Version objects can also be created with an expiration date. Any attempt to create an instance of the version object after the expiration date will fail and result in a call to `System.exit()`. Creating the version object in the period 0 to 15 days before expiration will result in a warning message written by `System.out.println()`. Values of a version object cannot be altered once it has been created.

Version:
  1.02 96/06/28
Author:
  Danny B. Lange

Constructor Summary
`Version(java.lang.String kind, int major, int minor, int micro)` Creates a version object which will never expire.

Method Summary
`java.lang.String` | `getKind()` Gets the string that describes what is versioned.
`java.lang.String` | `toString()` Returns a long text representation of the version numbers: e.g., Alpha2b, Beta1, V2.0.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Version

    public Version(java.lang.String kind,
                   int major,
                   int minor,
                   int micro)

  Creates a version object which will never expire.
  Parameters:
    `kind` - product information.
    `major` - major version number M.x.x
    `minor` - minor version number x.M.x
    `build` - build version number x.x.B
    `date` - date of this version.

Method Detail

### getKind

    public java.lang.String getKind()

  Gets the string that describes what is versioned.

### toString

    public java.lang.String toString()

  Returns a long text representation of the version numbers: e.g., Alpha2b, Beta1, V2.0.
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD